package com.xunao.effectdemo.activity;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.widget.Button;

import androidx.annotation.Nullable;

import com.umeng.analytics.MobclickAgent;
import com.xunao.effectdemo.R;
import com.xunao.effectdemo.yzs.YZSDemoActivity;

import java.util.HashMap;
import java.util.Map;

/**
 * author : 程中强
 * e-mail : 740479946@qq.com
 * date : 2022/8/19:47
 * desc :
 * version: 1.0
 */
public class MainActivity extends Activity {

	Button btn1,btn2,btn3,btn4,btn5,btn6,btn7,btn8,
			btn9,btn10,btn11,btn12,btn13, btn14,btn15,btn16,
			btn17,btn18,btn19,btn20,btn21;
	Intent intent;

	@Override
	protected void onCreate(@Nullable Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_main);
		init();
	}

	void init(){
		btn1 = findViewById(R.id.btn_1);
		btn1.setOnClickListener(v->{
			intent = new Intent(MainActivity.this,TestActivity.class);
			startActivity(intent);
		});
		btn2 = findViewById(R.id.btn_2);
		btn2.setOnClickListener(v->{
			intent = new Intent(MainActivity.this,GuideActivity.class);
			startActivity(intent);
		});
		btn3 = findViewById(R.id.btn_3);
		btn3.setOnClickListener(v->{
			intent = new Intent(MainActivity.this,AnimActivity.class);
			startActivity(intent);
		});
		btn4 = findViewById(R.id.btn_4);
		btn4.setOnClickListener(v->{
			intent = new Intent(MainActivity.this,Test2Activity.class);
			startActivity(intent);
		});

		btn5 = findViewById(R.id.btn_5);
		btn5.setOnClickListener(v->{
			intent = new Intent(MainActivity.this,QuxianActivity.class);
			startActivity(intent);
		});
		btn6 = findViewById(R.id.btn_6);
		btn6.setOnClickListener(v->{
			intent = new Intent(MainActivity.this,ProgressDemoActivity.class);
			startActivity(intent);
		});

		btn7 = findViewById(R.id.btn_7);
		btn7.setOnClickListener(v->{
			intent = new Intent(MainActivity.this,ActivityViewActivity.class);
			startActivity(intent);
		});

		btn8 = findViewById(R.id.btn_8);
		btn8.setOnClickListener(v->{
			intent = new Intent(MainActivity.this,DragSelectActivity.class);
			startActivity(intent);
		});
		btn9 = findViewById(R.id.btn_9);
		btn9.setOnClickListener(v->{
			intent = new Intent(MainActivity.this,CountDownActivity.class);
			startActivity(intent);
		});
		btn10 = findViewById(R.id.btn_10);
		btn10.setOnClickListener(v->{
			intent = new Intent(MainActivity.this,LottieActivity.class);
			startActivity(intent);
		});
		btn11 = findViewById(R.id.btn_11);
		btn11.setOnClickListener(v->{
			intent = new Intent(MainActivity.this,CongratulationsActivity.class);
			startActivity(intent);
		});
		btn12 = findViewById(R.id.btn_12);
		btn12.setOnClickListener(v->{
			intent = new Intent(MainActivity.this,SoundActivity.class);
			startActivity(intent);
		});
		btn13 = findViewById(R.id.btn_13);
		btn13.setOnClickListener(v->{
			intent = new Intent(MainActivity.this,StarsActivity.class);
			startActivity(intent);
		});

		btn14 = findViewById(R.id.btn_14);
		btn14.setOnClickListener(v->{
			Map<String, Object> music = new HashMap<String, Object>();
			music.put("music_type", "popular");//自定义参数：音乐类型，值：流行
			music.put("singer", "JJ22"); //歌手：(林俊杰)JJ
			music.put("song_name","A_Thousand_Years_Later"); //歌名：一千年以后
			music.put("song_price",100); //价格：100元
			MobclickAgent.onEventObject(this, "play_music", music);
			intent = new Intent(MainActivity.this,UMengLoginActivity.class);
			startActivity(intent);
		});
		btn15 = findViewById(R.id.btn_15);
		btn15.setOnClickListener(v->{
			intent = new Intent(MainActivity.this,WebActivity.class);
			startActivity(intent);
		});
		btn16 = findViewById(R.id.btn_16);
		btn16.setOnClickListener(v->{
			intent = new Intent(MainActivity.this,SequentialDragActivity.class);
			startActivity(intent);
		});
		btn17 = findViewById(R.id.btn_17);
		btn17.setOnClickListener(v->{
			intent = new Intent(MainActivity.this, YZSDemoActivity.class);
			startActivity(intent);
		});
		btn18 = findViewById(R.id.btn_18);
		btn18.setOnClickListener(v->{
			intent = new Intent(MainActivity.this, SongLyricActivity.class);
			startActivity(intent);
		});
		btn19 = findViewById(R.id.btn_19);
		btn19.setOnClickListener(v->{
			intent = new Intent(MainActivity.this, GSXYVideoPlayerActivity.class);
			startActivity(intent);
		});
		btn20 = findViewById(R.id.btn_20);
		btn20.setOnClickListener(v->{
			intent = new Intent(MainActivity.this, WordCutActivity.class);
			startActivity(intent);
		});
		btn21 = findViewById(R.id.btn_21);
		btn21.setOnClickListener(v->{
			intent = new Intent(MainActivity.this, MapChallengeActivity.class);
			startActivity(intent);
		});
	}
}
